Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 03 Mar 2023 06:00:17 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I placed an order on the application
The delivery was supposed to be delivered today as per the application 
I an waiting for the driver the whole day and then suddenly I was shocked to see sms we missed you and we will reschedule the shipment. 
I called the customer service and Marwa the agent said,she will check with the delivery company.. I waited 45 minutes but no one called back
I spoke to Qusai, he said I cannot help you and he hang up the phone. While I was speak, I called back he refused to speak to me. 

 Very bad service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5780913